From a0758226b6c3572142cb08b881ed1a6e947acbac Mon Sep 17 00:00:00 2001
From: SVN-Git Migration <python-modules-team@lists.alioth.debian.org>
Date: Thu, 8 Oct 2015 14:18:10 -0700
Subject: 04_fix_deprecated_ClientForm

Patch-Name: 04_fix_deprecated_ClientForm.patch
---
 tests/test-checkbox.py |  1 -
 tests/test-encoding.py |  6 +++---
 tests/test-form.py     |  3 +--
 twill/browser.py       |  8 ++++----
 twill/commands.py      |  6 +++---
 twill/utils.py         | 20 ++++++++++----------
 6 files changed, 21 insertions(+), 23 deletions(-)

diff --git a/tests/test-checkbox.py b/tests/test-checkbox.py
index d3b0776..b17d3a6 100644
--- a/tests/test-checkbox.py
+++ b/tests/test-checkbox.py
@@ -3,7 +3,6 @@ import twill
 from twill import namespaces, commands
 from twill.errors import TwillAssertionError
 import mechanize
-import ClientForm
 
 def setup_module():
     global url
diff --git a/tests/test-encoding.py b/tests/test-encoding.py
index b366ceb..f4f25f3 100644
--- a/tests/test-encoding.py
+++ b/tests/test-encoding.py
@@ -1,5 +1,5 @@
 import twilltestlib
-import ClientForm
+import mechanize
 from cStringIO import StringIO
 
 def test_form_parse():
@@ -7,5 +7,5 @@ def test_form_parse():
     fp = StringIO(content)
 
     # latin-1...
-    ClientForm.ParseFile(fp, "<test-encoding.py fp>", encoding='latin-1',
-                         backwards_compat=False)
+    mechanize.ParseFile(fp, "<test-encoding.py fp>", encoding='latin-1',
+                        backwards_compat=False)
diff --git a/tests/test-form.py b/tests/test-form.py
index 80f7c30..4df9864 100644
--- a/tests/test-form.py
+++ b/tests/test-form.py
@@ -2,7 +2,6 @@ import twilltestlib
 import twill
 from twill import namespaces, commands
 from twill.errors import TwillAssertionError
-import ClientForm
 import mechanize
 
 def test():
@@ -44,7 +43,7 @@ def test():
     try:
         commands.fv('1', 'selecttest', 'value')
         assert 0
-    except ClientForm.ItemNotFoundError:
+    except mechanize.ItemNotFoundError:
         pass
 
     # test ambiguous match to name
diff --git a/twill/browser.py b/twill/browser.py
index 1a7d09a..8334d75 100644
--- a/twill/browser.py
+++ b/twill/browser.py
@@ -11,7 +11,7 @@ import re
 
 # wwwsearch imports
 import mechanize
-import ClientForm
+import mechanize
 from mechanize import BrowserStateError, LinkNotFoundError
 
 # twill package imports
@@ -389,7 +389,7 @@ class TwillBrowser(object):
             self.last_submit_button = None
 
         # record the last submit button clicked.
-        if isinstance(control, ClientForm.SubmitControl):
+        if isinstance(control, mechanize.SubmitControl):
             self.last_submit_button = control
 
     def submit(self, fieldname=None):
@@ -421,7 +421,7 @@ more than one form; you must select one (use 'fv') before submitting\
             else:
                 # get first submit button in form.
                 submits = [ c for c in form.controls \
-                            if isinstance(c, ClientForm.SubmitControl) ]
+                            if isinstance(c, mechanize.SubmitControl) ]
 
                 if len(submits):
                     ctl = submits[0]
@@ -441,7 +441,7 @@ more than one form; you must select one (use 'fv') before submitting\
 Note: submit is using submit button: name="%s", value="%s"
 """ % (ctl.name, ctl.value)
             
-            if isinstance(ctl, ClientForm.ImageControl):
+            if isinstance(ctl, mechanize.ImageControl):
                 request = ctl._click(form, (1,1), "", mechanize.Request)
             else:
                 request = ctl._click(form, True, "", mechanize.Request)
diff --git a/twill/commands.py b/twill/commands.py
index c03d292..dd4b86b 100644
--- a/twill/commands.py
+++ b/twill/commands.py
@@ -5,7 +5,7 @@ twill-sh.
 
 import sys
 import mechanize
-import ClientForm
+import mechanize
 from mechanize._headersutil import is_html
 
 OUT=None
@@ -440,11 +440,11 @@ def formvalue(formname, fieldname, value):
         print>>OUT, 'forcing read-only form field to writeable'
         control.readonly = False
         
-    if control.readonly or isinstance(control, ClientForm.IgnoreControl):
+    if control.readonly or isinstance(control, mechanize.IgnoreControl):
         print>>OUT, 'form field is read-only or ignorable; nothing done.'
         return
 
-    if isinstance(control, ClientForm.FileControl):
+    if isinstance(control, mechanize.FileControl):
         raise TwillException('form field is for file upload; use "formfile" instead')
 
     set_form_control_value(control, value)
diff --git a/twill/utils.py b/twill/utils.py
index 601fe58..7e403fc 100644
--- a/twill/utils.py
+++ b/twill/utils.py
@@ -12,7 +12,7 @@ import base64
 import subprocess
 
 import mechanize
-import ClientForm
+import mechanize
 from mechanize._util import time
 from mechanize._http import HTTPRefreshProcessor
 from mechanize import BrowserStateError
@@ -150,17 +150,17 @@ def set_form_control_value(control, val):
     """
     Helper function to deal with setting form values on checkboxes, lists etc.
     """
-    if isinstance(control, ClientForm.CheckboxControl):
+    if isinstance(control, mechanize.CheckboxControl):
         try:
             checkbox = control.get()
             checkbox.selected = make_boolean(val)
             return
-        except ClientForm.AmbiguityError:
+        except mechanize.AmbiguityError:
             # if there's more than one checkbox, use the behaviour for
-            # ClientForm.ListControl, below.
+            # mechanize.ListControl, below.
             pass
             
-    if isinstance(control, ClientForm.ListControl):
+    if isinstance(control, mechanize.ListControl):
         #
         # for ListControls (checkboxes, multiselect, etc.) we first need
         # to find the right *value*.  Then we need to set it +/-.
@@ -181,13 +181,13 @@ def set_form_control_value(control, val):
 
         try:
             item = control.get(name=val)
-        except ClientForm.ItemNotFoundError:
+        except mechanize.ItemNotFoundError:
             try:
                 item = control.get(label=val)
-            except ClientForm.AmbiguityError:
-                raise ClientForm.ItemNotFoundError('multiple matches to value/label "%s" in list control' % (val,))
-            except ClientForm.ItemNotFoundError:
-                raise ClientForm.ItemNotFoundError('cannot find value/label "%s" in list control' % (val,))
+            except mechanize.AmbiguityError:
+                raise mechanize.ItemNotFoundError('multiple matches to value/label "%s" in list control' % (val,))
+            except mechanize.ItemNotFoundError:
+                raise mechanize.ItemNotFoundError('cannot find value/label "%s" in list control' % (val,))
 
         if flag:
             item.selected = 1
